import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const Icon: {
    ({ width, height, graphics, color }: propsTypes): React.ReactElement;
    propTypes: {
        /**
         * Button contents
         */
        graphics: PropTypes.Validator<string>;
        /**
         * height of icon
         */
        height: PropTypes.Requireable<string>;
        /**
         * width of icon
         */
        width: PropTypes.Requireable<string>;
        /**
         * color of icon
         */
        color: PropTypes.Requireable<string>;
    };
    defaultProps: {
        height: string;
        width: string;
        color: string;
    };
};
export default Icon;
